webpackJsonp(["filial.module"],{

/***/ "../../../../../src/app/pages/geral/empresa/empresa.service.ts":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EmpresaService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_http__ = __webpack_require__("../../../http/@angular/http.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__("../../../core/@angular/core.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_router__ = __webpack_require__("../../../router/@angular/router.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Rx__ = __webpack_require__("../../../../rxjs/Rx.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__ = __webpack_require__("../../../../rxjs/add/operator/map.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_toPromise__ = __webpack_require__("../../../../rxjs/add/operator/toPromise.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_toPromise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_toPromise__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_catch__ = __webpack_require__("../../../../rxjs/add/operator/catch.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_catch___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_add_operator_catch__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__shared_services_user_auth_service__ = __webpack_require__("../../../../../src/app/shared/services/user/auth.service.ts");
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};








var EmpresaService = /** @class */ (function () {
    function EmpresaService(http, baseUrlApi, router, authService) {
        this.http = http;
        this.baseUrlApi = baseUrlApi;
        this.router = router;
        this.authService = authService;
    }
    // Empresa
    EmpresaService.prototype.getListaEmpresa = function () {
        return this.http
            .get(this.baseUrlApi + 'Empresa/ListaEmpresa')
            .map(function (res) { return res.json(); });
    };
    ;
    EmpresaService.prototype.getCarregarDadosEmpresa = function (idEmpresa) {
        return this.http
            .get(this.baseUrlApi + "Empresa/CarregarEmpresa", { params: { idEmpresa: idEmpresa } })
            .map(function (res) { return res.json(); });
    };
    // End
    // Cadastro de Empresa
    EmpresaService.prototype.postSalvarEmpresa = function (empresaModel) {
        return this.http.post(this.baseUrlApi + 'Empresa/SalvarEmpresa', empresaModel)
            .map(function (res) { return res.json(); });
    };
    ;
    EmpresaService.prototype.postExcluirEmpresa = function (idEmpresa) {
        this.http.get(this.baseUrlApi + 'Empresa/ExcluirEmpresa', {
            params: { idEmpresa: idEmpresa }
        })
            .subscribe(function (result) {
            location.reload();
        }, function (error) { return console.error(error); });
    };
    ;
    var _a, _b, _c;
    EmpresaService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Injectable"])(),
        __param(1, Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["Inject"])('BASE_URL_API')),
        __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_0__angular_http__["b" /* Http */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_0__angular_http__["b" /* Http */]) === "function" && _a || Object, String, typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_2__angular_router__["b" /* Router */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__angular_router__["b" /* Router */]) === "function" && _b || Object, typeof (_c = typeof __WEBPACK_IMPORTED_MODULE_7__shared_services_user_auth_service__["a" /* AuthService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_7__shared_services_user_auth_service__["a" /* AuthService */]) === "function" && _c || Object])
    ], EmpresaService);
    return EmpresaService;
}());

//# sourceMappingURL=empresa.service.js.map

/***/ }),

/***/ "../../../../../src/app/pages/geral/filial/filial/filial.component.html":
/***/ (function(module, exports) {

module.exports = "<div class=\"card\">\r\n  <header class=\"card-header card-header-menu\">\r\n    <h2 class=\"card-title header-highlighted\">\r\n      <span class=\"active\"> Filiais</span>\r\n    </h2>\r\n  </header>\r\n\r\n  <div class=\"card-block body-full-height\">\r\n    <!-- SPINNER DE CARREGAMENTO (LOADING....) -->\r\n    <div class=\"div-spinner\" *ngIf=\"loading\">\r\n      <div id=\"loader\" class=\"spinner\"></div>\r\n    </div>\r\n\r\n    <div class=\"table-responsive m-t-15\">\r\n      <table\r\n        id=\"table\"\r\n        datatable\r\n        [dtOptions]=\"dtOptions\"\r\n        [dtTrigger]=\"dtTrigger\"\r\n        class=\"table table-hover table-bordered table-striped compact\"\r\n        cellspacing=\"0\"\r\n      >\r\n        <thead>\r\n          <tr>\r\n            <th class=\"no-border\" width=\"4%\"></th>\r\n            <th class=\"no-border\">Id</th>\r\n            <th class=\"no-border\">Apelido</th>\r\n            <th class=\"no-border\">Empresa</th>\r\n            <th class=\"no-border\">Cnpj</th>\r\n            <th class=\"no-border\">Situação</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr *ngFor=\"let filial of filiais | filter : term\">\r\n            <td>\r\n              <a\r\n                [routerLink]=\"['/empresa/filial-cadastro']\"\r\n                (click)=\"loading = true\"\r\n                [queryParams]=\"{\r\n                  idEmpresa: filial.idEmpresa,\r\n                  id: filial.idFilial\r\n                }\"\r\n                class=\"text-blue\"\r\n              >\r\n                <md-icon class=\"md-icon-sm\">edit</md-icon>\r\n              </a>\r\n            </td>\r\n            <td>{{ filial.idFilial }}</td>\r\n            <td>{{ filial.apelido }}</td>\r\n            <td>{{ filial.empresa }}</td>\r\n            <td>{{ filial.cnpj }}</td>\r\n            <td>\r\n              <span\r\n                *ngIf=\"filial.inativa == true\"\r\n                class=\"label label-danger label-situacao\"\r\n                >Inativa</span\r\n              >\r\n              <span\r\n                *ngIf=\"filial.inativa == false\"\r\n                class=\"label label-success label-situacao\"\r\n                >Ativo</span\r\n              >\r\n            </td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<!-- <div class=\"fixed-footer\">\r\n\t<div class=\"fixed-footer-content\">\r\n\t\t<button md-ripple class=\"btn btn-info btn-sm btn-sm-with-icon\" (click)=\"cadastrarFilial()\" [disabled]=\"!habilitaCadastroFilial\">\r\n\t\t\t<md-icon class=\"btn-sm-icon\">add_box</md-icon>\r\n\t\t\tNovo\r\n\t\t</button>\r\n\t</div>\r\n</div> -->\r\n\r\n<!-- /END Sidenav component container -->\r\n\r\n<!-- Modal Basic ===========================================================-->\r\n<div\r\n  class=\"modal fade\"\r\n  bsModal\r\n  #basicModal=\"bs-modal\"\r\n  tabindex=\"-1\"\r\n  role=\"dialog\"\r\n  aria-labelledby=\"mySmallModalLabel\"\r\n  aria-hidden=\"true\"\r\n>\r\n  <div class=\"modal-dialog\">\r\n    <div class=\"modal-content\">\r\n      <div class=\"modal-header\">\r\n        <h4 class=\"modal-title float-left\">Selecione a empresa</h4>\r\n        <button\r\n          type=\"button\"\r\n          class=\"close pull-right\"\r\n          aria-label=\"Close\"\r\n          (click)=\"basicModal.hide()\"\r\n        >\r\n          <span aria-hidden=\"true\">&times;</span>\r\n        </button>\r\n      </div>\r\n      <div class=\"modal-body\">\r\n        <select\r\n          [(ngModel)]=\"idEmpresa\"\r\n          name=\"idEmpresa\"\r\n          style=\"width: 100%\"\r\n          tabindex=\"-1\"\r\n          class=\"select2-offscreen\"\r\n        >\r\n          <option value=\"0\">Selecione uma Empresa</option>\r\n          <option *ngFor=\"let empresa of empresas\" [value]=\"empresa.idEmpresa\">\r\n            {{ empresa.nomeEmpresa }}\r\n          </option>\r\n        </select>\r\n      </div>\r\n      <div class=\"modal-footer\">\r\n        <a href=\"#\" class=\"btn btn-accent\" (click)=\"cadastrarFilial()\"\r\n          >Confirmar</a\r\n        >\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<!-- /.modal !-->\r\n"

/***/ }),

/***/ "../../../../../src/app/pages/geral/filial/filial/filial.component.scss":
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__("../../../../css-loader/lib/css-base.js")(false);
// imports


// module
exports.push([module.i, "", ""]);

// exports


/*** EXPORTS FROM exports-loader ***/
module.exports = module.exports.toString();

/***/ }),

/***/ "../../../../../src/app/pages/geral/filial/filial/filial.component.ts":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FilialComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__("../../../core/@angular/core.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_state__ = __webpack_require__("../../../../../src/app/app.state.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__shared_services_config_config_service__ = __webpack_require__("../../../../../src/app/shared/services/config/config.service.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs__ = __webpack_require__("../../../../rxjs/Rx.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sweetalert2__ = __webpack_require__("../../../../sweetalert2/dist/sweetalert2.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sweetalert2___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_sweetalert2__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_router__ = __webpack_require__("../../../router/@angular/router.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_app_shared_services_user_auth_service__ = __webpack_require__("../../../../../src/app/shared/services/user/auth.service.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__empresa_empresa_service__ = __webpack_require__("../../../../../src/app/pages/geral/empresa/empresa.service.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__filial_service__ = __webpack_require__("../../../../../src/app/pages/geral/filial/filial.service.ts");
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var FilialComponent = /** @class */ (function () {
    function FilialComponent(config, _serviceFilial, _serviceEmpresa, _state, route, router, _authService) {
        this.config = config;
        this._serviceFilial = _serviceFilial;
        this._serviceEmpresa = _serviceEmpresa;
        this._state = _state;
        this.route = route;
        this.router = router;
        this._authService = _authService;
        this.isFocused = false;
        //datatable options
        this.dtOptions = {};
        this.dtTrigger = new __WEBPACK_IMPORTED_MODULE_3_rxjs__["Subject"]();
        this.filiais = [];
        this.empresas = [];
        /*button dial*/
        this.isComposeActive = false;
        this.open = false;
        this.spin = false;
        this.direction = "up";
        this.animationMode = "fling";
        this.checked = false;
        /*responsável pela exibição do carregando*/
        this.loading = false;
        this.habilitaCadastroFilial = false;
    }
    FilialComponent.prototype.ngOnInit = function () {
        if (!this._authService.isLoggedIn()) {
            this._authService.logout();
            this.router.navigate(['/geral/login']);
        }
        this.loading = true;
        this._state.hideSideBar();
        this.carregarDados();
    };
    FilialComponent.prototype.carregarDados = function () {
        var _this = this;
        /*carrega as configurações da datatable*/
        this.dtOptions = {
            dom: '<"pull-left"f><t><"bottom"p>',
            pagingType: 'full_numbers',
            pageLength: 10,
            processing: true,
            // select: {
            //   style: 'single'
            // },
            scroller: {
                loadingIndicator: true
            },
            language: {
                search: " ",
                searchPlaceholder: "Pesquisar...",
                loadingRecords: "Carregando...",
                paginate: {
                    first: "<<",
                    next: ">",
                    previous: "<",
                    last: ">>",
                }
            }
        };
        this.inscricao = this.route.queryParams.subscribe(function (params) {
            _this.idEmpresa = params['idEmpresa'];
            if (_this.idEmpresa == undefined) {
                _this.idEmpresa = 0;
            }
            _this._serviceFilial.getListaFilial(_this.idEmpresa).subscribe(function (r) {
                _this.filiais = r;
                _this.loading = false;
                _this.dtTrigger.next();
            });
        });
        this._serviceEmpresa.getListaEmpresa().subscribe(function (empresas) {
            _this.empresas = empresas;
            _this.habilitaCadastroFilial = true;
        });
    };
    FilialComponent.prototype.excluirFilial = function (filial) {
        var _this = this;
        __WEBPACK_IMPORTED_MODULE_4_sweetalert2___default()({
            title: "Confirmar Exclusão",
            text: "Deseja excluir " + filial.apelido + " ?",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            cancelButtonText: "Não",
            confirmButtonText: 'Sim'
        }).then(function (result) {
            if (result) {
                _this._serviceFilial.postDeletarFilial(filial).subscribe(function (filialModel) {
                    if (filialModel.listaErros.length > 0) {
                        _this.exibeErros(filialModel.listaErros);
                    }
                });
            }
        });
    };
    FilialComponent.prototype.exibeErros = function (erros) {
        __WEBPACK_IMPORTED_MODULE_4_sweetalert2___default()({
            title: 'Atenção!',
            html: erros.join('<br>'),
            type: 'error',
            confirmButtonText: 'Ok'
        });
    };
    FilialComponent.prototype.cadastrarFilial = function () {
        if (this.idEmpresa < 1) {
            this.basicModal.show();
        }
        else {
            this.loading = true;
            this.router.navigate(['/empresa/filial-cadastro'], { queryParams: { idEmpresa: this.idEmpresa } });
        }
    };
    FilialComponent.prototype.ngOnDestroy = function () {
        this.inscricao.unsubscribe();
    };
    var _a, _b, _c, _d, _e, _f, _g;
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('basicModal'),
        __metadata("design:type", Object)
    ], FilialComponent.prototype, "basicModal", void 0);
    FilialComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'app-filial',
            template: __webpack_require__("../../../../../src/app/pages/geral/filial/filial/filial.component.html"),
            styles: [__webpack_require__("../../../../../src/app/pages/geral/filial/filial/filial.component.scss")]
        }),
        __metadata("design:paramtypes", [typeof (_a = typeof __WEBPACK_IMPORTED_MODULE_2__shared_services_config_config_service__["a" /* ConfigService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_2__shared_services_config_config_service__["a" /* ConfigService */]) === "function" && _a || Object, typeof (_b = typeof __WEBPACK_IMPORTED_MODULE_8__filial_service__["a" /* FilialService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_8__filial_service__["a" /* FilialService */]) === "function" && _b || Object, typeof (_c = typeof __WEBPACK_IMPORTED_MODULE_7__empresa_empresa_service__["a" /* EmpresaService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_7__empresa_empresa_service__["a" /* EmpresaService */]) === "function" && _c || Object, typeof (_d = typeof __WEBPACK_IMPORTED_MODULE_1__app_state__["a" /* GlobalState */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_1__app_state__["a" /* GlobalState */]) === "function" && _d || Object, typeof (_e = typeof __WEBPACK_IMPORTED_MODULE_5__angular_router__["a" /* ActivatedRoute */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_5__angular_router__["a" /* ActivatedRoute */]) === "function" && _e || Object, typeof (_f = typeof __WEBPACK_IMPORTED_MODULE_5__angular_router__["b" /* Router */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_5__angular_router__["b" /* Router */]) === "function" && _f || Object, typeof (_g = typeof __WEBPACK_IMPORTED_MODULE_6_app_shared_services_user_auth_service__["a" /* AuthService */] !== "undefined" && __WEBPACK_IMPORTED_MODULE_6_app_shared_services_user_auth_service__["a" /* AuthService */]) === "function" && _g || Object])
    ], FilialComponent);
    return FilialComponent;
}());

//# sourceMappingURL=filial.component.js.map

/***/ }),

/***/ "../../../../../src/app/pages/geral/filial/filial/filial.module.ts":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FilialModule", function() { return FilialModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common__ = __webpack_require__("../../../common/@angular/common.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__("../../../core/@angular/core.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__("../../../forms/@angular/forms.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_router__ = __webpack_require__("../../../router/@angular/router.es5.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__filial_component__ = __webpack_require__("../../../../../src/app/pages/geral/filial/filial/filial.component.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__shared_shared_module__ = __webpack_require__("../../../../../src/app/shared/shared.module.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_angular2_text_mask__ = __webpack_require__("../../../../angular2-text-mask/dist/angular2TextMask.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_angular2_text_mask___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_angular2_text_mask__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_app_pages_geral_filial_filial_service__ = __webpack_require__("../../../../../src/app/pages/geral/filial/filial.service.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__empresa_empresa_service__ = __webpack_require__("../../../../../src/app/pages/geral/empresa/empresa.service.ts");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_angular_datatables__ = __webpack_require__("../../../../angular-datatables/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_ng2_search_filter__ = __webpack_require__("../../../../ng2-search-filter/dist/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_ng2_search_filter___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_10_ng2_search_filter__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11_angular2_spinner_dist__ = __webpack_require__("../../../../angular2-spinner/dist/index.js");
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11_angular2_spinner_dist___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_11_angular2_spinner_dist__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};












var FILIAL_ROUTE = [{ path: "", component: __WEBPACK_IMPORTED_MODULE_4__filial_component__["a" /* FilialComponent */] }];
var FilialModule = /** @class */ (function () {
    function FilialModule() {
    }
    FilialModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [__WEBPACK_IMPORTED_MODULE_4__filial_component__["a" /* FilialComponent */]],
            imports: [
                __WEBPACK_IMPORTED_MODULE_2__angular_forms__["FormsModule"],
                __WEBPACK_IMPORTED_MODULE_6_angular2_text_mask__["TextMaskModule"],
                __WEBPACK_IMPORTED_MODULE_0__angular_common__["CommonModule"],
                __WEBPACK_IMPORTED_MODULE_5__shared_shared_module__["a" /* SharedModule */],
                __WEBPACK_IMPORTED_MODULE_9_angular_datatables__["b" /* DataTablesModule */],
                __WEBPACK_IMPORTED_MODULE_10_ng2_search_filter__["Ng2SearchPipeModule"],
                __WEBPACK_IMPORTED_MODULE_11_angular2_spinner_dist__["SpinnerModule"],
                __WEBPACK_IMPORTED_MODULE_3__angular_router__["c" /* RouterModule */].forChild(FILIAL_ROUTE)
            ],
            providers: [__WEBPACK_IMPORTED_MODULE_7_app_pages_geral_filial_filial_service__["a" /* FilialService */], __WEBPACK_IMPORTED_MODULE_8__empresa_empresa_service__["a" /* EmpresaService */]],
            schemas: [
                __WEBPACK_IMPORTED_MODULE_1__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]
            ]
        })
    ], FilialModule);
    return FilialModule;
}());

//# sourceMappingURL=filial.module.js.map

/***/ })

});
//# sourceMappingURL=filial.module.chunk.js.map